| helics 3.6.1

Classes | Typedefs | Enumerations | Functions
helicscpp Namespace Reference

## Classes
class | Broker
class | CombinationFederate
class | Core
class | DataBuffer
class | Message
class | Endpoint
class | FederateInfo
struct | HelicsIterationTime
class | Federate
class | Filter
class | CloningFilter
class | HelicsException
class | hThrowOnError
class | Input
class | MessageFederate
class | Publication
class | Translator
class | ValueFederate

## Typedefs
typedef struct helicscpp::HelicsIterationTime | HelicsIterationTime

## Enumerations
enum | PubSubTypes { STRING_TYPE = HELICS_DATA_TYPE_STRING , DOUBLE_TYPE = HELICS_DATA_TYPE_DOUBLE , INT_TYPE = HELICS_DATA_TYPE_INT , COMPLEX_TYPE = HELICS_DATA_TYPE_COMPLEX , VECTOR_TYPE = HELICS_DATA_TYPE_VECTOR , TIME_TYPE = HELICS_DATA_TYPE_TIME , BOOLEAN_TYPE = HELICS_DATA_TYPE_BOOLEAN , RAW_TYPE = HELICS_DATA_TYPE_RAW }

## Functions
void | protect (const std::string &name)
void | unProtect (const std::string &name)
bool | isProtected (const std::string &name)
std::string | getHelicsVersionString ()
std::string | version ()
std::string | systemInfo ()
std::string | buildFlags ()
std::string | compilerVersion ()
void | cleanupHelicsLibrary ()
void | closeLibrary ()
void | loadSignalHandler ()
void | loadThreadedSignalHandler ()
void | loadSignalHandler (HelicsBool(*handler)(int))
void | loadSignalHandler (HelicsBool(*handler)(int), bool val)
void | clearSignalHandler ()

## Detailed Description

HELICS C++98 Interface

## Typedef Documentation

## ◆ HelicsIterationTime

typedef struct helicscpp::HelicsIterationTime helicscpp::HelicsIterationTime

an iteration time structure

## Enumeration Type Documentation

## ◆ PubSubTypes

enum helicscpp::PubSubTypes

enumeration of the available types of publications and inputs

## Function Documentation

## ◆ buildFlags()

std::string helicscpp::buildFlags | ( |  | ) |
| inline

get a string with the helics version info

References helicsGetBuildFlags().

## ◆ cleanupHelicsLibrary()

void helicscpp::cleanupHelicsLibrary | ( |  | ) |
| inline

do a cleanup of the brokers and cores currently in the library

References helicsCleanupLibrary().

## ◆ closeLibrary()

void helicscpp::closeLibrary | ( |  | ) |
| inline

close the library and cleanup all open objects

References helicsCloseLibrary().

## ◆ compilerVersion()

std::string helicscpp::compilerVersion | ( |  | ) |
| inline

get a string with the compiler used to compile the library

References helicsGetCompilerVersion().

## ◆ getHelicsVersionString()

std::string helicscpp::getHelicsVersionString | ( |  | ) |
| inline

get a string with the helics version info

References helicsGetVersion().

## ◆ systemInfo()

std::string helicscpp::systemInfo | ( |  | ) |
| inline

generate an extended version and system info string in json format

References helicsGetSystemInfo().

## ◆ version()

std::string helicscpp::version | ( |  | ) |
| inline

get a string with the helics version info

References helicsGetVersion().